//--------------------------------------------------------------------
//                                                                    
//  Module:       AlphaMerge                                       
//  Description:  AlphaMerge
//                                                                    
//--------------------------------------------------------------------

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.util.*;
import java.io.*;
import java.net.*;


public class AlphaMerge extends JDPClassLayout  {

	JDPUser user;
	JDPJagg jaggSQL;
	JDPPopupMessage popuppanel;
	JDPMaskEdit JDPMaskEditMain;
	String moduleParameter;
	//
	//  Declare screen components
	//
	Panel Main;
	Panel AlphaPaging1;
	JDPAlphaSender AlphaPaging1Ctl1;
	TextArea AlphaPaging1Msg1;
	JDPButtons AlphaPaging1Btns1;
	JDPList AlphaPaging1Merge1;

	public void InitClass(JDPUser user, Panel targetPanel, String moduleParameter) {

		this.user = user;
		this.moduleParameter = moduleParameter;
		//
		//  Set JAGG settings for this class
		//
		jaggSQL = new JDPJagg(user.jaggPath);

		setLayout(new BorderLayout());
		popuppanel = new JDPPopupMessage(user,this);
		add(popuppanel);
		JDPMaskEditMain = new JDPMaskEdit();

		Main = new Panel();
		AlphaPaging1 = new Panel();
		AlphaPaging1Ctl1 = new JDPAlphaSender(user);
		AlphaPaging1Msg1 = new TextArea("", 4,30);
		String[] AlphaPaging1Btns1btns = {"Send"};
		int[] AlphaPaging1Btns1icns = {JDPButton.getIconValue("Pager")};
		AlphaPaging1Btns1 = new JDPButtons(user, AlphaPaging1Btns1btns, AlphaPaging1Btns1icns, JDPButtons.getAlignmentValue("Horizontal"));
		AlphaPaging1Merge1Main();

		Main.setLayout(new BorderLayout());
		add("Center", Main);
		Main.add("Center", AlphaPaging1);
		AlphaPaging1.setLayout(new BorderLayout());
		AlphaPaging1.add("Center", AlphaPaging1Msg1);
		AlphaPaging1.add("South", AlphaPaging1Btns1);
		AlphaPaging1.add("East", AlphaPaging1Merge1);

		AlphaPaging1Msg1.setFont(new Font("Helvetica", Font.PLAIN, 11));
		AlphaPaging1Msg1.setForeground(user.u._cvtcolor("Black"));
		AlphaPaging1Msg1.setBackground(user.u._cvtcolor("LightGray"));
		AlphaPaging1Btns1.setFont(new Font("Helvetica", Font.PLAIN, 11));
		AlphaPaging1Btns1.setForeground(user.u._cvtcolor("Black"));
		AlphaPaging1Btns1.setBackground(user.u._cvtcolor("LightGray"));
		AlphaPaging1Merge1.setFont(new Font("Helvetica", Font.PLAIN, 11));
		AlphaPaging1Merge1.setForeground(user.u._cvtcolor("Black"));
		AlphaPaging1Merge1.setBackground(user.u._cvtcolor("White"));


		//
		//  Initialise Components
		//
		InitComponents();
		//
		//  Add the handle to this panel to the global vector so other panels can
		//  access this one
		//
		user.gParm.addElement(this);
	}

	//
	//  Handle screen events
	//
	public boolean handleEvent(Event e) {

		switch (e.id) {
		case Event.ACTION_EVENT:
			if (e.target.equals(AlphaPaging1Btns1.button[0])) {
				AlphaPaging1Ctl1.setDSN("JDesignerPro DB");
				AlphaPaging1Ctl1.setJdbcDriver("sun.jdbc.odbc.JdbcOdbcDriver");
				AlphaPaging1Ctl1.setJdbcPrefix("jdbc:odbc:");
				AlphaPaging1Ctl1.setJdbcSuffix("JDesignerPro DB");
				AlphaPaging1Ctl1.setUID("");
				AlphaPaging1Ctl1.setPWD("");
				AlphaPaging1Ctl1.setCSTR("DSN=JDesignerPro DB;UID=;PWD=;");
				AlphaPaging1Ctl1.setCommPort(3);
				AlphaPaging1Ctl1.setBaudRate(300);
				AlphaPaging1Ctl1.setSQL("SELECT null, null ");
				AlphaPaging1Ctl1.setFromWhereClause(" FROM JDPUSER WHERE (1=1)");
				String[] columns = {""};
				AlphaPaging1Ctl1.setMergeColumns(columns);
				AlphaPaging1Ctl1.setMessage(AlphaPaging1Msg1.getText());
				AlphaPaging1Ctl1.sendMultipleMessage();
				return true;
			}
			return false;

		case Event.LIST_SELECT:
			if (e.target.equals(AlphaPaging1Merge1)) {
				AlphaPaging1Msg1.replaceText("@" + AlphaPaging1Merge1.getSelectedItem(),AlphaPaging1Msg1.getSelectionStart(),AlphaPaging1Msg1.getSelectionEnd());
				return true;
			}
			return false;

		case Event.MOUSE_MOVE:
		case Event.MOUSE_ENTER:
		case Event.MOUSE_EXIT:
			popuppanel.postEvent(e);
			return false;

		default:
			return false;

		}
	}


	//
	//  Initialise other components by calling their methods
	//
	public void InitComponents() {

		

	}
	//
	//  Load Merge List
	//
	public void AlphaPaging1Merge1Main() {

		AlphaPaging1Merge1 = new JDPList(user);
		String[] columns = {""};
		AlphaPaging1Merge1.loadList(columns, columns);

	}

}

